reSIDfp::Spline Class Reference

`#include <Spline.h>`

## Public Types

using | Point

## Public Member Functions

| Spline (const std::vector< Point > &input)
Point | evaluate (double x) const

## Detailed Description

Fritsch-Carlson monotone cubic spline interpolation.

Based on the implementation from the Monotone cubic interpolation wikipedia page.

## Member Typedef Documentation

## Point

using reSIDfp::Spline::Point

Initial value:
struct
{
double x;
double y;
}

## Member Function Documentation

## evaluate()

Spline::Point reSIDfp::Spline::evaluate | ( | double | x | ) | const

Evaluate y and its derivative at given point x.

The documentation for this class was generated from the following files:

- Spline.h
- Spline.cpp